Panda3D

Loading...
Searching...
No Matches
Classes | Public Types | Static Public Member Functions | List of all members
UnicodeLatinMap Class Reference

This class mainly serves as a container for a largish table of the subset of the Unicode character set that corresponds to the Latin alphabet, with its various accent marks and so on. More...

`#include "unicodeLatinMap.h"`

## Classes
class | Entry

## Public Types
enum | AccentType { AT_none , AT_acute , AT_acute_and_dot_above , AT_breve , AT_breve_and_acute , AT_breve_and_dot_below , AT_breve_and_grave , AT_breve_and_hook_above , AT_breve_and_tilde , AT_breve_below , AT_caron , AT_caron_and_dot_above , AT_cedilla , AT_cedilla_and_acute , AT_cedilla_and_breve , AT_circumflex , AT_circumflex_and_acute , AT_circumflex_and_dot_below , AT_circumflex_and_grave , AT_circumflex_and_hook_above , AT_circumflex_and_tilde , AT_circumflex_below , AT_comma_below , AT_curl , AT_diaeresis , AT_diaeresis_and_acute , AT_diaeresis_and_caron , AT_diaeresis_and_grave , AT_diaeresis_and_macron , AT_diaeresis_below , AT_dot_above , AT_dot_above_and_macron , AT_dot_below , AT_dot_below_and_dot_above , AT_dot_below_and_macron , AT_double_acute , AT_double_grave , AT_grave , AT_hook , AT_hook_above , AT_horn , AT_horn_and_acute , AT_horn_and_dot_below , AT_horn_and_grave , AT_horn_and_hook_above , AT_horn_and_tilde , AT_inverted_breve , AT_line_below , AT_macron , AT_macron_and_acute , AT_macron_and_diaeresis , AT_macron_and_grave , AT_ogonek , AT_ogonek_and_macron , AT_ring_above , AT_ring_above_and_acute , AT_ring_below , AT_stroke , AT_stroke_and_acute , AT_stroke_and_hook , AT_tilde , AT_tilde_and_acute , AT_tilde_and_diaeresis , AT_tilde_and_macron , AT_tilde_below , AT_topbar }
enum | AdditionalFlags { AF_ligature = 0x0001 , AF_turned = 0x0002 , AF_reversed = 0x0004 , AF_smallcap = 0x0008 , AF_dotless = 0x0010 }
enum | CharType { CT_upper , CT_lower , CT_punct }

## Static Public Member Functions
static wchar_t | get_combining_accent (AccentType accent)
| Returns the unicode code point for the combining character corresponding with the given accent type, or 0 if none is recorded.
static const Entry * | look_up (char32_t character)
| Returns the Entry associated with the indicated character, if there is one.

## Detailed Description

This class mainly serves as a container for a largish table of the subset of the Unicode character set that corresponds to the Latin alphabet, with its various accent marks and so on.

Specifically, this table indicates how to map between the Unicode accented character and the corresponding ASCII equivalent without the accent mark; as well as how to switch case from upper to lower while retaining the Unicode accent marks.

Definition at line 28 of file unicodeLatinMap.h.

## Member Enumeration Documentation

## ◆ AccentType

enum UnicodeLatinMap::AccentType

Definition at line 30 of file unicodeLatinMap.h.

## ◆ AdditionalFlags

enum UnicodeLatinMap::AdditionalFlags

Definition at line 99 of file unicodeLatinMap.h.

## ◆ CharType

enum UnicodeLatinMap::CharType

Definition at line 107 of file unicodeLatinMap.h.

## Member Function Documentation

## ◆ get_combining_accent()

wchar_t UnicodeLatinMap::get_combining_accent | ( | AccentType | accent | ) |
| static

Returns the unicode code point for the combining character corresponding with the given accent type, or 0 if none is recorded.

Definition at line 1403 of file unicodeLatinMap.cxx.

## ◆ look_up()

const UnicodeLatinMap::Entry * UnicodeLatinMap::look_up | ( | char32_t | character | ) |
| static

Returns the Entry associated with the indicated character, if there is one.

Definition at line 1380 of file unicodeLatinMap.cxx.

Referenced by TextEncoder::encode_wchar(), TextEncoder::get_wtext_as_ascii(), TextEncoder::unicode_isalpha(), TextEncoder::unicode_isdigit(), TextEncoder::unicode_islower(), TextEncoder::unicode_ispunct(), TextEncoder::unicode_isupper(), TextEncoder::unicode_tolower(), and TextEncoder::unicode_toupper().

The documentation for this class was generated from the following files:

- dtool/src/dtoolutil/unicodeLatinMap.h
- dtool/src/dtoolutil/unicodeLatinMap.cxx